function [F,G] = mcmcfun(x)
%  
% mcmcfun   log density function of -log(lambda) and first derivative
% 
% INPUT:
%
%  x  Double, value of -log(lambda)
%
% OUTPUT:
%
%  F  Double, log probability value.
%  G  Double, first derivative of log probability value given x.
%

global expr stdev rep muj

F = 0.001*x+sum(log(exp(x)+stdev))/2+0.001*exp(-x)+sum((expr-muj(rep)).^2./(exp(x)+stdev))/2;

if nargout>1
    G(1,1) = 0.001+sum(exp(x)./(exp(x)+stdev))/2-0.001*exp(-x)-...
             sum(((expr-muj(rep)).^2*exp(x))./(exp(x)+stdev).^2)/2;
end
